%define momorel 2

%define name mpich
%define version 1.2.6

Summary: A Portable Implementation of the Message-Passing Interface Standard
Name: %{name}
Version: %{version}
Release: %{momorel}m
License: see "COPYRIGHT"
Group: Development/Libraries
%NoSource 0 ftp://ftp.mcs.anl.gov/pub/mpi/mpich-%{version}.tar.bz2 4c4e2bc23b5f1b73b577bc630f782913
Source1: ftp://ftp.mcs.anl.gov/pub/mpi/mpich-docs.tgz
Source100: RSHCOMMAND

BuildRequires: gcc-gfortran
BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL: http://www-unix.mcs.anl.gov/mpi/mpich/

%package mpe
Summary: MPE
Requires: %{name} = %{version}-%{release}
Group: Development/Libraries

%package doc
Summary: Documentation for MPICH
Group: Development/Libraries

%description
MPICH is an open-source, portable implementation of the Message-Passing
Interface Standard.

It contains a complete implementation of version 1.2 of
the MPI Standard and also significant parts of MPI-2, particularly in the
area of parallel I/O.

%description mpe
The Multi-Processing Environment (MPE) attempts to provide programmers with
a complete suite of performance analysis tools for their MPI programs based
on post processing approach.  These tools include a set of profiling libraries,
a set of utility programs, and a set of graphical tools.

The first set of tools to be used with user MPI programs is profiling libraries
which provide a collection of routines that create log files.  These log files
can be created manually by inserting MPE calls in the MPI program, or
automatically by linking with the appropriate MPE libraries, or by combining
the above two methods.  Currently, the MPE offers the following 3 profiling
libraries: Tracing Library, Animation Libraries, and Logging Libraries.


%description doc
Documentation for MPI and MPE. 

%prep
#%%setup -q -a 1
%setup -q

%build
sysconfdir=%{_sysconfdir}/mpich %{_configure_env} %{_configure_cmd} --prefix=%{_prefix} --libdir=%{_libdir} --datadir=%{_sysconfdir}/mpich --mandir=%{_mandir} --enable-sharedlib=%{_libdir} --disable-doc -disable-devdebug -rsh=%{_sysconfdir}/%{name}/RSHCOMMAND
%make 

%install
rm -rf %{buildroot}

# this installs everything as specified at configure time.
DESTDIR=%{buildroot} make install


## set datadir=/etc/mpich.
#find $RPM_BUILD_ROOT{%{_sbindir},%{_bindir}} -type f \
#	-exec perl -p -i -e \
#	"s|(datadir=.*)$RPM_BUILD_ROOT/usr/share|\1/etc/%{name}|g;" {} \;

# remove %{buildroot} except lib*{a,so}.
find %{buildroot} -type f -not -path '*lib*' \
	-exec perl -p -i -e "s|%{buildroot}||g;" {} \;

## set up the list of servers -- only localhost for the package.
sed -e "/^[^#]/d" %{buildroot}%{_sysconfdir}/%{name}/machines.LINUX > \
	%{buildroot}%{_sysconfdir}/%{name}/machines.LINUX.new
echo "localhost" >> %{buildroot}%{_sysconfdir}/%{name}/machines.LINUX.new
%__mv %{buildroot}%{_sysconfdir}/%{name}/machines.LINUX.new %{buildroot}%{_sysconfdir}/%{name}/machines.LINUX

# make RSHCOMMAND setting easy.
install -m 755 %{SOURCE100} %{buildroot}%{_sysconfdir}/%{name}/RSHCOMMAND

%__mkdir_p %{buildroot}/%{_defaultdocdir}/%{name}-doc-%{version}
%__mv %{buildroot}/%{_prefix}/examples %{buildroot}/%{_defaultdocdir}/%{name}-doc-%{version}

%__mkdir_p %{buildroot}/%{_defaultdocdir}/%{name}-mpe-%{version}
%__mv %{buildroot}/%{_datadir}/examples %{buildroot}/%{_defaultdocdir}/%{name}-mpe-%{version}

%__rm -rf %{buildroot}/%{_prefix}/doc
%__rm -rf %{buildroot}/%{_prefix}/www
%__rm %{buildroot}/%{_mandir}/mandesc
%__rm %{buildroot}/%{_sysconfdir}/mpich/machines.sample

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post mpe -p /sbin/ldconfig
%postun mpe -p /sbin/ldconfig

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/%{name}
%{_sbindir}/*
%{_bindir}/mpi*
%{_bindir}/serv_p4
%{_bindir}/tarch
%{_bindir}/tdevice
%{_includedir}/*mpi*
%{_libdir}/*mpich*
%{_mandir}/man1/MPI.1*
%{_mandir}/man1/mpi*
%{_mandir}/man1/chp4_servs.1*
%{_mandir}/man1/cleanipcs.1*
%{_mandir}/man1/tstmachines.1*
%{_mandir}/man3/MPI*
%{_mandir}/man3/Constants.3*

%files mpe
%defattr(-,root,root)
%docdir %{_defaultdocdir}/%{name}-mpe-%{version}
%{_defaultdocdir}/%{name}-mpe-%{version}
%{_bindir}/clog*
%{_includedir}/basex11.h
%{_includedir}/mpe*
%{_includedir}/protofix.h
%{_libdir}/*mpe*
%{_mandir}/man4/MPE*
%{_mandir}/man1/Jumpshots.1*
%{_mandir}/man4/CLOG*

%files doc
%defattr(-,root,root)
%doc COPYRIGHT KnownBugs README doc www
%doc mpe/contrib

%changelog
* Wed Feb 16 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (1.2.6-2m)
- enable x86_64.

* Sat Jan  8 2005 KOMATSU Shinichiro <koma2@momonga-linux.org>
- (1.2.6-1m)
- initial version for momonga
  (imported from VinePlus and heavily modified)

* Fri Feb 08 2002 Yoshihiro Ota <ota@j.email.ne.jp>
- Separated into subpackages -- mpi, mpe, and doc - 1.2.3-0vl3

* Sun Feb 03 2002 Yoshihiro Ota <ota@j.email.ne.jp>
- Version up to mpich-1.2.3

* Fri Jan 25 2002 Yoshihiro Ota <ota@j.email.ne.jp>
- Created spec file for mpich-1.2.2.3
